Bug 1433995 (CVE-2017-6462)

Summary: CVE-2017-6462 ntp: Buffer Overflow in DPTS Clock
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: apmukher, dmoppert, duge, kvolny, linville, mdshaikh, mlichvar, nupur.priya, psampaio, sardella, security-response-team, slawomir, yiwu, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://bugs.ntp.org/show_bug.cgi?id=3388
Whiteboard:
Fixed In Version: ntp 4.2.8p10, ntp 4.3.94 Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in NTP, in the parsing of packets from the /dev/datum device. A malicious device could send crafted messages, causing ntpd to crash.
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-10-26 07:10:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1435163, 1437714, 1437715, 1437716, 1437717, 1499184    
Bug Blocks: 1434021, 1498774    

Description Adam Mariš 2017-03-20 14:01:26 UTC
There is a potential for a buffer overflow in the legacy Datum Programmable Time Server refclock driver.  Here the packets are processed from the /dev/datum device and handled in datum_pts_receive().  Since an attacker would be required to somehow control a malicious /dev/datum device, this does not appear to be a practical attack and renders this issue "Low" in terms of severity.

Affects: All versions of NTP, up to but not including ntp-4.2.8p10, and ntp-4.3.0 up to, but not including ntp-4.3.94.

Mitigation:

Properly monitor your ntpd instances, and auto-restart ntpd (without -g) if it stops running.

Comment 1 Adam Mariš 2017-03-20 14:01:32 UTC
Acknowledgments:

Name: the NTP project
Upstream: Cure53

Comment 4 Adam Mariš 2017-03-23 10:08:20 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1435163]

Comment 6 Karel Volný 2017-04-03 08:53:56 UTC
do we have a reproducer for this?

Comment 8 Kurt Seifried 2017-04-07 19:30:54 UTC
(In reply to Karel Volný from comment #6)
> do we have a reproducer for this?

We do not have a reproducer for this flaw, nor can I easily find one online, sorry.

Comment 15 errata-xmlrpc 2017-10-26 07:03:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:3071 https://access.redhat.com/errata/RHSA-2017:3071

Comment 16 errata-xmlrpc 2018-04-10 08:26:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0855 https://access.redhat.com/errata/RHSA-2018:0855